Package org.opensaml.xmlsec.encryption

# Interface CipherReference

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `CipherReferenceImpl`

public interface CipherReference extends XMLObject
XMLObject representing XML Encryption, version 20021210, CipherReference element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`URI_ATTRIB_NAME`
URI attribute name.

## Method Summary

Modifier and Type
Method
Description
`Transforms`
`getTransforms()`
Get the Transforms child element, which describes which transformations to apply when dereferencing the data.
`String`
`getURI()`
Get the URI attribute that describes from where to deference the encrypted data.
`void`
`setTransforms(Transforms newTransforms)`
Set the Transforms child element, which describes which transformations to apply when dereferencing the data.
`void`
`setURI(String newURI)`
Set the URI attribute that describes from where to deference the encrypted data.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### URI_ATTRIB_NAME

@Nonnull @NotEmpty static final String URI_ATTRIB_NAME
URI attribute name.

See Also:
  - Constant Field Values

## Method Details

### getURI

@Nullable String getURI()
Get the URI attribute that describes from where to deference the encrypted data.

Returns:
  the URI attribute string

### setURI

void setURI(@Nullable String newURI)
Set the URI attribute that describes from where to deference the encrypted data.

Parameters:
  `newURI` - the new URI attribute string value

### getTransforms

@Nullable Transforms getTransforms()
Get the Transforms child element, which describes which transformations to apply when dereferencing the data.

Returns:
  the Transforms child element

### setTransforms

void setTransforms(@Nullable Transforms newTransforms)
Set the Transforms child element, which describes which transformations to apply when dereferencing the data.

Parameters:
  `newTransforms` - the new Transforms child element